Loading...
Searching...
No Matches
{un,or}bdb: bidiagonalize partitioned unitary matrix, step in uncsd
LAPACK » Orthogonal/unitary factors (QR, CS, etc.) » Cosine-Sine (CS) decomposition
Collaboration diagram for {un,or}bdb: bidiagonalize partitioned unitary matrix, step in uncsd:

## Functions

subroutine | cunbdb (trans, signs, m, p, q, x11, ldx11, x12, ldx12, x21, ldx21, x22, ldx22, theta, phi, taup1, taup2, tauq1, tauq2, work, lwork, info)
| CUNBDB
subroutine | dorbdb (trans, signs, m, p, q, x11, ldx11, x12, ldx12, x21, ldx21, x22, ldx22, theta, phi, taup1, taup2, tauq1, tauq2, work, lwork, info)
| DORBDB
subroutine | sorbdb (trans, signs, m, p, q, x11, ldx11, x12, ldx12, x21, ldx21, x22, ldx22, theta, phi, taup1, taup2, tauq1, tauq2, work, lwork, info)
| SORBDB
subroutine | zunbdb (trans, signs, m, p, q, x11, ldx11, x12, ldx12, x21, ldx21, x22, ldx22, theta, phi, taup1, taup2, tauq1, tauq2, work, lwork, info)
| ZUNBDB

## Detailed Description